import { useMainStore } from '@/stores/main'

export default defineNuxtPlugin(async (nuxtApp) => {
  const mainStore = useMainStore(nuxtApp.$pinia)
  if (!mainStore.dataFetched) {
    await mainStore.fetchInitialData()
  }
})


